package com.android_examples.androidanimations_android_examplescom;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    Button buttonBlinking, buttonBounce, buttonFadIN, buttonFadeOUT, buttonMove, buttonRotate, buttonSequential,
            buttonSlideUP, buttonSlideDown, buttonTogether, buttonZoomIN, buttonZoomOUT ;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        buttonBlinking = (Button)findViewById(R.id.button_blinking);
        buttonBounce = (Button)findViewById(R.id.button_bounce);
        buttonFadIN = (Button)findViewById(R.id.button_fade_in);
        buttonFadeOUT = (Button)findViewById(R.id.button_fade_out);
        buttonMove = (Button)findViewById(R.id.button_move);
        buttonRotate = (Button)findViewById(R.id.button_rotate);
        buttonSequential = (Button)findViewById(R.id.button_sequential);
        buttonSlideUP = (Button)findViewById(R.id.button_slide_up);
        buttonSlideDown = (Button)findViewById(R.id.button_slide_down);
        buttonTogether = (Button)findViewById(R.id.button_together);
        buttonZoomIN = (Button)findViewById(R.id.button_zoom_in);
        buttonZoomOUT = (Button)findViewById(R.id.button_zoom_out);


        buttonBlinking.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, BlinkingActivity.class);
                startActivity(intent);

            }
        });

        buttonBounce.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, BounceActivity.class);
                startActivity(intent);

            }
        });

        buttonFadIN.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, FadINActivity.class);
                startActivity(intent);

            }
        });

        buttonFadeOUT.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, FadeOUTActivity.class);
                startActivity(intent);

            }
        });

        buttonMove.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, MoveActivity.class);
                startActivity(intent);

            }
        });

        buttonRotate.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, RotateActivity.class);
                startActivity(intent);

            }
        });

        buttonSequential.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, SequentialActivity.class);
                startActivity(intent);

            }
        });

        buttonSlideDown.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, SlideDownActivity.class);
                startActivity(intent);

            }
        });

        buttonSlideUP.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, SlideUPActivity.class);
                startActivity(intent);

            }
        });

        buttonTogether.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, TogetherActivity.class);
                startActivity(intent);

            }
        });

        buttonZoomIN.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, ZoomINActivity.class);
                startActivity(intent);

            }
        });

        buttonZoomOUT.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent intent = new Intent(MainActivity.this, ZoomOUTActivity.class);
                startActivity(intent);

            }
        });


    }
}